<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Data Access Object for `testimonials_avatar` table.
 */
class MIDNIGHTTHEME_BOL_MemberDao extends OW_BaseDao
{
    use OW_Singleton;

    /**
     * Class constructor.
     */
    protected function __construct()
    {
        parent::__construct();
    }

    /**
     * Get dto class name.
     * 
     * @return string
     */
    public function getDtoClassName()
    {
        return "MIDNIGHTTHEME_BOL_Member";
    }

    /**
     * Get table name.
     * 
     * @return string
     */
    public function getTableName()
    {
        return OW_DB_PREFIX . "midnighttheme_member";
    }

    /**
     * Returns members.
     *
     * @param $order
     * @param $active
     * @return array|string
     */
    public function findAllByOrder( $order = 'ASC', $active = 'all' )
    {
        $example = new OW_Example();
        if ( $active != 'all' )
        {
            $example->andFieldEqual("active", $active);
        }
        $example->setOrder("`id` $order");

        return $this->findListByExample($example);
    }

//    /**
//     * Returns member by its number.
//     *
//     * @param number $number
//     * @return string|null
//     */
//    public function getByNumber( $number )
//    {
//        if ( !$number )
//        {
//            return null;
//        }
//
//        $example = new OW_Example();
//        $example->andFieldEqual("number", $number);
//
//        return $this->findObjectByExample($example);
//    }
//
//    /**
//     * Delete by number.
//     *
//     * @param integer $number
//     * @return void
//     */
//    public function deleteByNumber($number)
//    {
//        $example = new OW_Example();
//        $example->andFieldEqual("number", $number);
//
//        $this->deleteByExample($example);
//    }
}
