<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Data Access Object for `social_network` table.
 */
class MIDNIGHTTHEME_BOL_SocialNetworkDao extends OW_BaseDao
{
    use OW_Singleton;

    /**
     * Class constructor.
     */
    protected function __construct()
    {
        parent::__construct();
    }

    /**
     * Get dto class name.
     * 
     * @return string
     */
    public function getDtoClassName()
    {
        return "MIDNIGHTTHEME_BOL_SocialNetwork";
    }

    /**
     * Get table name.
     * 
     * @return string
     */
    public function getTableName()
    {
        return OW_DB_PREFIX . "midnighttheme_social_network";
    }

    /**
     * Returns social network by its number.
     *
     * @param number $number
     * @return string|null
     */
    public function findAllByOrder( $order = 'ASC' )
    {
        $example = new OW_Example();
        $example->setOrder("`order` $order");

        return $this->findListByExample($example);
    }

    /**
     * Returns active social networks.
     *
     * @param string $order
     * @return string|null
     */
    public function findActiveSocialNetworks( $order = 'ASC' )
    {
        $example = new OW_Example();

        $example->andFieldEqual("active", 1);
        $example->setOrder("`order` $order");

        return $this->findListByExample($example);
    }
}
