<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Edit members story form class.
 */
class MIDNIGHTTHEME_CLASS_EditMembersForm extends MIDNIGHTTHEME_CLASS_AddMembersForm
{
    const FIELD_NAME_NUMBER = "number";

    protected $number;

    public function __construct( $number )
    {
        Form::__construct('edit-members-form');

        $this->number = (int) $number;

        $this->setEnctype('multipart/form-data');
        $this->setAction(OW::getRouter()->urlForRoute('midnighttheme_edit_form_handler_members'));

        $this->generateControls();

        $numberField = new HiddenField(self::FIELD_NAME_NUMBER);
        $numberField->setRequired();
        $numberField->setValue($number);
        $this->addElement($numberField);

        /** @var MIDNIGHTTHEME_BOL_Member $member */
        $member = MIDNIGHTTHEME_BOL_Service::getInstance()->getMemberById($number);

        $path = OW::getPluginManager()->getPlugin(MIDNIGHTTHEME_BOL_Service::PLUGIN_KEY)->getUserFilesUrl() . "img_avatar/";
        $dataUrl = $path . $member->imgName;

        $this->getElement(self::FIELD_NAME_NAME)->setValue($member->name);
        $this->getElement(self::FIELD_NAME_ACTIVE)->setValue($member->active);
        $this->getElement(self::FIELD_NAME_IMAGE)->setValue($dataUrl);
    }

    public function process($data)
    {
        if ($this->isValid($data))
        {
            $name = $data[self::FIELD_NAME_NAME];
            $active = isset($data[self::FIELD_NAME_ACTIVE]) && $data[self::FIELD_NAME_ACTIVE] === "on" ? "1" : "0";
            $imageFilename = $_FILES[self::FIELD_NAME_IMAGE]['name'];
            $imageFilepath = $_FILES[self::FIELD_NAME_IMAGE]['tmp_name'];

            MIDNIGHTTHEME_BOL_Service::getInstance()
                ->addOrUpdateMembers($name, $active, $imageFilename, $imageFilepath, $this->number);
        }
    }
}
