<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Edit testimonials form class.
 */
class MIDNIGHTTHEME_CLASS_EditTestimonialsForm extends MIDNIGHTTHEME_CLASS_AddTestimonialsForm
{
    const FIELD_NAME_NUMBER = "number";

    protected $number;

    public function __construct($number)
    {
        Form::__construct('edit-testimonials-form');

        $this->number = (int) $number;

        $this->setEnctype('multipart/form-data');
        $this->setAction(OW::getRouter()->urlForRoute('midnighttheme_edit_form_handler_testimonials'));

        $this->generateControls();

        $numberField = new HiddenField(self::FIELD_NAME_NUMBER);
        $numberField->setRequired();
        $numberField->setValue($number);
        $this->addElement($numberField);

        $data = MIDNIGHTTHEME_BOL_Service::getInstance()->getTestimonialsByNumberAndLangId($this->number);
        $this->getElement(self::FIELD_NAME_TEXT)->setValue($data["text"]);
        $this->getElement(self::FIELD_NAME_NAME)->setValue($data["name"]);
        $this->getElement(self::FIELD_NAME_LOCATION)->setValue($data["location"]);
        $this->getElement(self::FIELD_NAME_IMAGE)->setValue($data["avatar_url"]);
    }

    public function process($data)
    {
        if ($this->isValid($data))
        {
            $languageId = $data[self::FIELD_NAME_LANGUAGE];
            $text = $data[self::FIELD_NAME_TEXT];
            $name = $data[self::FIELD_NAME_NAME];
            $location = $data[self::FIELD_NAME_LOCATION];
            $imageFilename = $_FILES[self::FIELD_NAME_IMAGE]['name'];
            $imageFilepath = $_FILES[self::FIELD_NAME_IMAGE]['tmp_name'];

            MIDNIGHTTHEME_BOL_Service::getInstance()
                ->addOrUpdateTestimonials($languageId, $text, $name, $location, $imageFilename, $imageFilepath, $this->number);
        }
    }
}
