<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Edit testimonials component class.
 */
class MIDNIGHTTHEME_CMP_EditHeaderItem extends OW_Component
{
    /**
     * @var MIDNIGHTTHEME_CLASS_EditHeaderItemForm
     */
    protected $form;

    protected $number;

    /**
     * Constructor.
     */
    public function __construct( $number )
    {
        OW_Component::__construct();

        $this->number = (int) $number;
        $this->form = new MIDNIGHTTHEME_CLASS_EditHeaderItemForm($this->number);
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        parent::onBeforeRender();

        $this->addForm($this->form);

        $imageElValue = $this->form->getElement(MIDNIGHTTHEME_CLASS_EditHeaderItemForm::FIELD_NAME_IMAGE)->getValue();
        $imageElId = $this->form->getElement(MIDNIGHTTHEME_CLASS_EditHeaderItemForm::FIELD_NAME_IMAGE)->getId();
        $imageTargetId = "image-preview";

        OW::getDocument()->addOnloadScript("
            $('#{$imageElId}').change(() => {
                var src = document.getElementById('{$imageElId}');
                var target = document.getElementById('{$imageTargetId}');
                
                var fr = new FileReader();
                fr.onload = () => target.src = fr.result;
                fr.readAsDataURL(src.files[0]);
            });
        ");

        $this->assign('imageSrc', $imageElValue);
        $this->assign('imageTargetId', $imageTargetId);
    }
}
