<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Edit members story component class.
 */
class MIDNIGHTTHEME_CMP_EditMembers extends MIDNIGHTTHEME_CMP_AddMembers
{
    /**
     * @var MIDNIGHTTHEME_CLASS_EditMembersForm
     */
    protected $form;

    protected $number;

    /**
     * Constructor.
     */
    public function __construct($number)
    {
        OW_Component::__construct();

        $this->number = (int) $number;
        $this->form = new MIDNIGHTTHEME_CLASS_EditMembersForm($this->number);
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        parent::onBeforeRender();

        $membersList = MIDNIGHTTHEME_BOL_Service::getInstance()->getMembers(1);
        $membersCount = count($membersList);

        $checkbox = $this->form->getElement(MIDNIGHTTHEME_CLASS_AddMembersForm::FIELD_NAME_ACTIVE);

        if ( $membersCount <= 6 && $checkbox->getValue() )
        {
            OW::getDocument()->addOnloadScript("
                $('#{$checkbox->getId()}').change(function() {
                    OW.error('" . OW::getLanguage()->text(MIDNIGHTTHEME_BOL_Service::PLUGIN_KEY,
                'section_members_selected_error', [ 'count'=> 5]) . "');
                    $(this).attr('checked', true);
                });
            ");
        }

        $imageElValue = $this->form->getElement(MIDNIGHTTHEME_CLASS_AddMembersForm::FIELD_NAME_IMAGE)->getValue();
        $this->assign('imageSrc', $imageElValue);
    }
}
