<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Edit social network component class.
 */
class MIDNIGHTTHEME_CMP_EditSocialNetwork extends MIDNIGHTTHEME_CMP_AddSocialNetwork
{
    /**
     * @var MIDNIGHTTHEME_CLASS_EditSocialNetworkForm
     */
    protected $form;

    protected $id;

    /**
     * Constructor.
     */
    public function __construct( $id )
    {
        OW_Component::__construct();

        $this->id = (int) $id;
        $this->form = new MIDNIGHTTHEME_CLASS_EditSocialNetworkForm($this->id);
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        parent::onBeforeRender();

        $imageElValue = $this->form->getElement(MIDNIGHTTHEME_CLASS_AddSocialNetworkForm::FIELD_NAME_IMAGE)->getValue();

        /** @var MIDNIGHTTHEME_BOL_SocialNetwork $socialNetwork */
        $socialNetwork = MIDNIGHTTHEME_BOL_Service::getInstance()->getSocialNetworkById($this->id);
        $wrapperClass = MIDNIGHTTHEME_BOL_Service::getInstance()->getImageBackgroundClass($socialNetwork->imgName);

        $this->assign('imageSrc', $imageElValue);
        $this->assign('wrapperClass', $wrapperClass);
    }
}
