<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Footer app download links component class
 */
class MIDNIGHTTHEME_CMP_FooterDownloadApps extends OW_Component
{
    /**
     * @var boolean
     */
    protected $isAppPluginActive;

    /**
     * @var array
     */
    protected $appLinks = [];

    /**
     * Constructor.
     */
    public function __construct()
    {
        parent::__construct();

        $this->isAppPluginActive = OW::getPluginManager()->isPluginActive("skmobileapp");

        if ($this->isAppPluginActive)
        {
            $appLinkConfigs = MIDNIGHTTHEME_BOL_Service::getInstance()->getMobileExperienceConfigs();

            if (!empty($appLinkConfigs["banners"]))
            {
                unset($appLinkConfigs["banners"][array_search($appLinkConfigs["show_first"], $appLinkConfigs["banners"], true)]);

                array_unshift($appLinkConfigs["banners"], $appLinkConfigs["show_first"]);
            }

            foreach ($appLinkConfigs["banners"] as $name)
            {
                if ($name === "skadateios")
                {
                    $this->appLinks["skadateios"] = [
                        "classPostfix" => "ios",
                        "link" => $appLinkConfigs["ios_app_url"],
                    ];
                }
                if ($name === "skandroid")
                {
                    $this->appLinks["skandroid"] = [
                        "classPostfix" => "and",
                        "link" => $appLinkConfigs["android_app_url"],
                    ];
                }
                if ($name === "pwa")
                {
                    $this->appLinks["pwa"] = [
                        "classPostfix" => "pwa",
                        "link" => SKMOBILEAPP_BOL_Service::getInstance()->getPwaUrl(),
                    ];
                }
            }
        }
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        parent::onBeforeRender();

        $this->assign("allLinksHidden", count($this->appLinks) === 0);
        $this->assign("appLinks", $this->appLinks);
    }
}
