<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Testimonials component class.
 */
class MIDNIGHTTHEME_CMP_HeaderSection extends OW_Component
{
    /**
     * Constructor.
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        parent::onBeforeRender();

        $pluginKey = MIDNIGHTTHEME_BOL_Service::PLUGIN_KEY;
        $config = OW::getConfig();
        $path = OW::getPluginManager()->getPlugin($pluginKey)->getUserFilesUrl() . "images/";

        $headerList = [
            $path . $config->getValue($pluginKey, "section_header_img_1") . "?" . uniqid(),
            $path . $config->getValue($pluginKey, "section_header_img_2") . "?" . uniqid(),
            $path . $config->getValue($pluginKey, "section_header_img_3") . "?" . uniqid(),
        ];

        $this->assign('headerList', $headerList);
        $this->assign('url', OW::getRouter()->urlForRoute('base_join'));
    }
}
