<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Testimonials component class.
 */
class MIDNIGHTTHEME_CMP_MembersSection extends OW_Component
{
    /**
     * Constructor.
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        parent::onBeforeRender();

        /**
         * @var MIDNIGHTTHEME_BOL_Service $service
         */
        $service = MIDNIGHTTHEME_BOL_Service::getInstance();

        $isRealUsers = OW::getConfig()->getValue(MIDNIGHTTHEME_BOL_Service::PLUGIN_KEY, 'section_members_is_real_users');
        $membersList = $isRealUsers ? $service->getLatestUserList() : $service->getMembers(1);
        $addClass = count($membersList) <= 12 ? "ow_page_wrap_in_shadow-small" : "";

        if ( OW::getConfig()->getValue(MIDNIGHTTHEME_BOL_Service::PLUGIN_KEY, 'section_members_is_random') )
        {
            shuffle($membersList);
        }

        OW::getDocument()->addOnloadScript("
            $('.ow_page_wrap_in').addClass('$addClass');
        
            const scrollButton = document.getElementById('membersLinkFeedback');
            const targetBlock = document.getElementById('testimonialsSection');
            
            scrollButton.addEventListener('click', (e) => {
                e.preventDefault();
                
                const offset = targetBlock.offsetTop - 100;
                window.scroll({ top: offset, behavior: 'smooth' });
            });
        ");

        $this->assign('membersList', $membersList);
        $this->assign('url', OW::getRouter()->urlForRoute('base_join'));
    }
}
