<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 * 
 * ATTENTION: This commercial software is intended for exclusive use with SkaDate Dating Software (http://www.skadate.com)
 * and is licensed under SkaDate Exclusive License by Skalfa LLC.
 * 
 * Full text of this license can be found at http://www.skadate.com/sel.pdf
 */

/**
 * User quick search component class.
 */
class MIDNIGHTTHEME_CMP_QuickSearch extends USEARCH_CMP_QuickSearch
{
    public function __construct()
    {
        parent::__construct();

        // Import search styles
        $searchStylesFileUrl = OW::getPluginManager()->getPlugin(MIDNIGHTTHEME_BOL_Service::PLUGIN_KEY)->getStaticCssUrl() . "styles.css";
        OW::getDocument()->addStyleSheet($searchStylesFileUrl);

        $quickSearchQuestionNames = USEARCH_BOL_Service::getInstance()->getQuickSerchQuestionNames();
        $isLastLocation = false;
        $isExistLocation = false;

        if ( in_array('googlemap_location', $quickSearchQuestionNames) )
        {
            $locationKey = array_search('googlemap_location', $quickSearchQuestionNames);
            $isLastLocation = $locationKey == 3;
            $isExistLocation = true;
        }

        $this->assign('isLastLocation', $isLastLocation);
        $this->assign('isExistLocation', $isExistLocation);
    }
}
