<?php

$pluginKey = "midnighttheme";
$config = OW::getConfig();

// Add configs
$defaultConfigs = [
    "slider_testimonials_number_list" => "[1,2,3,4,5,6,7,8,9]",
    "link_facebook" => "#",
    "link_instagram" => "#",
    "link_pinterest" => "#",
    "link_twitter" => "#",
    "link_youtube" => "#",
    "link_google_plus" => "#",
    "is_visible_facebook" => "1",
    "is_visible_instagram" => "1",
    "is_visible_pinterest" => "1",
    "is_visible_twitter" => "1",
    "is_visible_youtube" => "1",
    "is_visible_google_plus" => "1",
    "section_header_img_1" => "header_main_img.jpg",
    "section_header_img_2" => "header_right_top_img.jpg",
    "section_header_img_3" => "header_right_bot_img.jpg",
    "section_members_is_real_users" => false,
    "section_members_is_random" => true,
    "section_testimonials_is_random" => true,
    "section_how_it_works_img_1" => "how_item_profile.svg",
    "section_how_it_works_img_2" => "how_item_photo.svg",
    "section_how_it_works_img_3" => "how_item_comm.svg",
];
foreach ($defaultConfigs as $key => $value)
{
    if (!$config->configExists($pluginKey, $key))
    {
        $config->addConfig($pluginKey, $key, $value);
    }
}

// Create user review avatar table
$sql = "CREATE TABLE IF NOT EXISTS `" . OW_DB_PREFIX . $pluginKey . "_testimonials_avatar` (
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    `number` int(11) UNSIGNED NOT NULL,
    `imgName` varchar(50) DEFAULT NULL,
    PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
OW::getDbo()->query($sql);


$sql = "CREATE TABLE IF NOT EXISTS `" . OW_DB_PREFIX . $pluginKey . "_member` (
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    `name` varchar(255) DEFAULT NULL,
    `imgName` varchar(50) DEFAULT NULL,
    `active` TINYINT DEFAULT '1',
    PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
OW::getDbo()->query($sql);

$sql = "INSERT INTO `" . OW_DB_PREFIX . $pluginKey . "_testimonials_avatar` (`id`, `number`, `imgName`)
        VALUES (NULL, '1', 'author1.jpg'), (NULL, '2', 'author2.jpg'), (NULL, '3', 'author3.jpg'), 
        (NULL, '4', 'author4.jpg'), (NULL, '5', 'author5.jpg'), (NULL, '6', 'author6.jpg'), (NULL, '7', 'author7.jpg'),
        (NULL, '8', 'author8.jpg'), (NULL, '9', 'author9.jpg')";
OW::getDbo()->query($sql);

$memberList = ['Haylie', 'Jaylon', 'Jordyn', 'Martin', 'Lindsey', 'Miracle',
    'Alfredo', 'Lidia', 'Zain', 'Terry', 'Marcus', 'Cheyenne',
    'Braun', 'Patric', 'Lilian', 'Mary', 'Xiaoyu', 'Arlon'];

$membersInsert = [];
foreach ( $memberList as $key => $member )
{
    $i = $key + 1;
    $strInsert[] = "(NULL, '$member', 'member$i.jpg', '1')";
}
$membersStrInsert = implode(', ', $strInsert);

$sql = "INSERT INTO `" . OW_DB_PREFIX . $pluginKey . "_member` (`id`, `name`, `imgName`, `active`)
        VALUES {$membersStrInsert}";
OW::getDbo()->query($sql);

$sql = "CREATE TABLE IF NOT EXISTS `" . OW_DB_PREFIX . $pluginKey . "_social_network` (
    `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    `order` int(11) UNSIGNED NOT NULL,
    `name` varchar(255) DEFAULT NULL,
    `link` varchar(255) DEFAULT NULL,
    `imgName` varchar(50) DEFAULT NULL,
    `active` TINYINT(1) DEFAULT NULL,
    PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
OW::getDbo()->query($sql);

$sql = "INSERT INTO `" . OW_DB_PREFIX . $pluginKey . "_social_network` (`id`, `order`, `name`, `link`, `imgName`, `active`)
        VALUES (NULL, '1', 'Facebook', 'https://www.facebook.com/', 'facebook.svg', '1'), 
        (NULL, '2', 'Instagram', 'https://www.instagram.com/', 'instagram.svg', '1'), 
        (NULL, '3', 'Twitter', 'https://twitter.com/', 'subtract.svg', '1')";
OW::getDbo()->query($sql);

// Copy default testimonials avatars to userfiles directory
require_once OW_DIR_PLUGIN . 'midnight_theme_settings' . DS . 'alloc.php';

// Add settings route
OW::getPluginManager()->addPluginSettingsRouteName($pluginKey, "midnighttheme_section_header");

// Import languages
OW::getLanguage()->importLangsFromDir(OW::getPluginManager()->getPlugin($pluginKey)->getRootDir() . 'langs');
