(function( $, logic )
{
    this.ajaxDragParams = function( params )
    {
        logic.call(this, $, params);
    }.bind(this);
    // this.ajaxDragParams = logic.call(this, $, params);
}.call(window, jQuery, function( $, params, ud )
{
    let row;
    let isDrag = false;

    function start(){
        row = event.target;
        isDrag = true;
    }

    function dragover(){
        if (!isDrag) {
            return;
        }

        let e = event;

        if (e.srcElement.localName == 'th') {
            return;
        }

        let children= Array.from(e.target.parentNode.parentNode.children);
        if(children.indexOf(e.target.parentNode)>children.indexOf(row))
            e.target.parentNode.after(row);
        else
            e.target.parentNode.before(row);
    }

    function dragend(){
        row = event.target;
        updateOrderList();

        isDrag = false;
    }

    function updateOrderList(){
        row = event.target;
        let ids = [];

        $('.social-networks-item').each(function(k, item){
            ids[k] = {
                "id": $(item).data("id"),
                "order": $(item).data("order"),
            };
        });

        $.ajax({
            url: params.actionUrl,
            type: 'POST',
            dataType: 'json',
            data: { ids: ids },
            beforeSend: () => {

            },
            success: (response) => {
                console.log(response);
            }
        })
    }

    let table = document.getElementById('social-networks-table');
    table.ondragstart = start;
    table.ondragover = dragover;
    table.ondragend = dragend;

}));